Bug 76486 - Update: editors/2bsd-vi 040605 -> 041202
Summary: Update: editors/2bsd-vi 040605 -> 041202
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-01-20 00:50 UTC by David Thiel
Modified: 2005-01-20 23:12 UTC (History)
0 users

See Also:


Attachments
file.diff (3.28 KB, patch)
2005-01-20 00:50 UTC, David Thiel
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description David Thiel 2005-01-20 00:50:23 UTC
Updating 2bsd-vi to the 2004-12-02 release. ChangeLog:

Release 12/2/04
* Support for multibyte character locales was added.
* The code has been converted to ANSI C, and support for pre-POSIX systems has
  been dropped.
* When the end of the current line consists of blank characters and the 'w'
  visual command is given at this point, vi now advances to the start of the
  next line instead of ringing the bell. This is compatible with SVR4 vi and
  seems to be what POSIX specifies.
* If the replacement part of a substitute command consists of a single '%',
  as in ':s/foo/%/', the replacement part of the previous substitution is
  used. This is compatible with SVR4 vi and is specified by POSIX.
* Fixed a number of possible heap overflows, e.g. because of too long tag
  strings.
Comment 1 Pav Lucistnik freebsd_committer 2005-01-20 23:12:32 UTC
State Changed
From-To: open->closed

Committed, thanks!